Update a SpeakerProfile
curl --request PATCH \
--url https://api.example.com/api/entities/speakerprofile/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claimStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"eventId": "<string>",
"id": "<string>",
"name": "<string>",
"orgId": "<string>",
"status": "<string>",
"userId": "<string>",
"bio": "<string>",
"claimedAt": "2023-11-07T05:31:56Z",
"company": "<string>",
"customJson": "<unknown>",
"headshotFileId": "<string>",
"headshotUrl": "<string>",
"invitedAt": "2023-11-07T05:31:56Z",
"jobTitle": "<string>",
"linksJson": "<unknown>",
"logistics": "<string>",
"tagline": "<string>",
"tagsJson": "<unknown>",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/api/entities/speakerprofile/{id}"
payload = {
"claimStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"eventId": "<string>",
"id": "<string>",
"name": "<string>",
"orgId": "<string>",
"status": "<string>",
"userId": "<string>",
"bio": "<string>",
"claimedAt": "2023-11-07T05:31:56Z",
"company": "<string>",
"customJson": "<unknown>",
"headshotFileId": "<string>",
"headshotUrl": "<string>",
"invitedAt": "2023-11-07T05:31:56Z",
"jobTitle": "<string>",
"linksJson": "<unknown>",
"logistics": "<string>",
"tagline": "<string>",
"tagsJson": "<unknown>",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claimStatus: '<string>',
createdAt: '2023-11-07T05:31:56Z',
email: '<string>',
eventId: '<string>',
id: '<string>',
name: '<string>',
orgId: '<string>',
status: '<string>',
userId: '<string>',
bio: '<string>',
claimedAt: '2023-11-07T05:31:56Z',
company: '<string>',
customJson: '<unknown>',
headshotFileId: '<string>',
headshotUrl: '<string>',
invitedAt: '2023-11-07T05:31:56Z',
jobTitle: '<string>',
linksJson: '<unknown>',
logistics: '<string>',
tagline: '<string>',
tagsJson: '<unknown>',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/api/entities/speakerprofile/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}SpeakerProfile
Update a SpeakerProfile
PATCH
/
api
/
entities
/
speakerprofile
/
{id}
Update a SpeakerProfile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Arbitrary JSON value
Arbitrary JSON value
Arbitrary JSON value
Response
Updated
⌘I